import {uniFetch} from "@/http/main";
const fetch = new uniFetch({
    baseUrl: 'https://warehouse.szjixun.cn',
    requestInterceptor:(config)=>{
        return config
    },
    responseInterceptor:(response)=>{
        if (response.data?.status === 401) {
            let curPage = getCurrentPages();
            let route = curPage[curPage.length - 1].route; //获取当前页面的路由
            if (route !== "pages/login/index") {
                uni.navigateTo({
                    url: "/pages/login/index",
                });
            }
        }
        return response
    }
})
export default fetch
